stages:
    - test
    - build
    - deploy

run_unit_tests:
    stage: test
    tags:
        - node
    before_script:
        - echo "preparing test data.."
    script:
        - echo "running tests.."
    after_script:
        - echo "cleaning up temp files"


run_lint_tests:
    stage: test
    tags:
        - node
    before_script:
        - echo "preparing test data.."
    script:
        - echo "running tests.."
    after_script:
        - echo "cleaning up temp files"

build_image:
    stage: build
    tags:
        - node
    script:
        - echo "building image"
        - echo "tagging image"

push_image:
    stage: deploy
    tags:
        - docker
    script:
        - echo "logging to docker registry"
        - echo "pushing to docker registry"
